package ru.ifmo.qbeing;

import universum.bi.BeingInterface;
import universum.bi.Event;

import java.util.HashMap;

public class StateMachineContext extends HashMap<String, Object> {
    public StateMachineContext() {
    }

    public StateMachineContext(QBeing me, BeingInterface bi) {
        setBeing(me);
        setBeingInterface(bi);
    }

    public void setBeing(QBeing me) {
        put("being", me);
    }

    public QBeing getBeing() {
        return (QBeing) get("being");
    }

    public BeingInterface getBeingInterface() {
        return (BeingInterface) get("bi");
    }

    public Event getEvent() {
        return (Event) get("e");
    }

    public void setBeingInterface(BeingInterface bi) {
        put("bi", bi);
    }

    public void setEvent(Event e) {
        put("e", e);
    }

    public void setSender(QBeing sender) {
        put("sender", sender);
    }

    public QBeing getSender() {
        return (QBeing) get("sender");
    }
}
